# frozen_string_literal: true

require 'commonmarker'

module Haml::Filters
  remove_filter('Markdown') # remove the existing Markdown filter

  module Markdown
    include Haml::Filters::Base

    def render(text)
      CommonMarker.render_html(text,
                               [:TABLE_PREFER_STYLE_ATTRIBUTES],
                               %i[table strikethrough autolink tagfilter])
    end
  end
end
