# frozen_string_literal: true

require 'test_helper'

class UsuariaTest < ActiveSupport::TestCase
  setup do
    @mail = 'f@kefir.red'
    @usuaria = Usuaria.find(@mail)
  end

  test 'La usuaria puede encontrarse por su mail' do
    assert_equal @mail, @usuaria.username
  end

  test 'La usuaria tiene sitios' do
    @usuaria.sites.each do |s|
      assert_equal Site, s.class
    end
  end
end
